"use strict";
/**
 * Create keys rotating function.
 *
 * @param {string[]} [keys]
 * @param {string} [key]
 */
exports.__esModule = true;
exports.createGetKey = void 0;
function createGetKey(keys, key) {
    var allKeys = /** @type {string[]} */ (keys || [key]).filter(Boolean);
    var totalKeys = allKeys.length;
    if (totalKeys === 0)
        throw new Error('No API keys');
    var keysStart = Math.floor(Math.random() * totalKeys); // random between 0 and totalKeys https://stackoverflow.com/a/7228322/893744
    return function getKey() {
        keysStart = keysStart < totalKeys - 1 ? keysStart + 1 : 0;
        return allKeys[keysStart];
    };
}
exports.createGetKey = createGetKey;
